classification
Title: doc Add link to list definition in Glossary list entry
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, fdrake, inada.naoki, rhettinger
Priority: normal Keywords: patch

Created on 2018-06-15 14:43 by adelfino, last changed 2018-07-19 13:31 by adelfino. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7706 closed adelfino, 2018-06-15 14:44
Messages (5)
msg319619 - (view) Author: Andrés Delfino (adelfino) * (Python triager) Date: 2018-06-15 14:43
PR adds entries for these three terms and a link to the list definition.
msg319673 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-06-15 21:19
This probably shouldn't be done.  It is not the goal of the glossary to define all built-in types.  We have other sections of the documentation for that purpose.  Also, there is no demonstrated need.
msg319676 - (view) Author: Andrés Delfino (adelfino) * (Python triager) Date: 2018-06-15 21:40
I thought since dictionary and list is there, tuple/set/frozenset should be, too. But I think you are right.

I'd keep the link to the list definition, though. I didn't add a link to the dictionary definition as "dictionary" seems to be a very open term.
msg319849 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2018-06-18 02:16
Andrés, you seems making pull request to document at very high pace.

First of all, thank you for trying improving document.

But some of your pull request seems very little benefit for most readers.  Your motivation seems consistency than real people.

In PEP 8, "A Foolish Consistency is the Hobgoblin of Little Minds" is top of the rules.  I think it is same to documentation.

Random many small changes to document will consume core-dev's time and reduce translation coverage.

Please stop thinking like "Because X is ~, Y should be ~".
Instead, please think about helping real world people.

Regards,
msg319852 - (view) Author: Andrés Delfino (adelfino) * (Python triager) Date: 2018-06-18 02:36
Sorry, INADA, you are right.
History
Date User Action Args
2018-07-19 13:31:40adelfinosetstatus: open -> closed
resolution: rejected
stage: patch review -> resolved
2018-06-25 19:33:45adelfinosettitle: doc Add set, frozen set, and tuple entries to Glossary -> doc Add link to list definition in Glossary list entry
2018-06-18 02:36:54adelfinosetmessages: + msg319852
2018-06-18 02:16:08inada.naokisetnosy: + inada.naoki
messages: + msg319849
2018-06-15 21:40:47adelfinosetmessages: + msg319676
2018-06-15 21:38:37fdrakesetnosy: + fdrake
2018-06-15 21:19:58rhettingersetnosy: + rhettinger
messages: + msg319673
2018-06-15 14:44:51adelfinosetkeywords: + patch
stage: patch review
pull_requests: + pull_request7322
2018-06-15 14:43:21adelfinocreate